%define anolis_release 3

Summary:        List SCSI devices (or hosts) and associated information
Name:           lsscsi
Version:        0.32
Release:        %{anolis_release}%{?dist}
License:        GPLv2+
Group:          Applications/System
Source0:        http://sg.danny.cz/scsi/%{name}-%{version}.tgz
URL:            http://sg.danny.cz/scsi/lsscsi.html

%description
Uses information provided by the sysfs pseudo file system in Linux kernel
2.6 series to list SCSI devices or all SCSI hosts. Includes a "classic"
option to mimic the output of "cat /proc/scsi/scsi" that has been widely
used prior to the lk 2.6 series.

Author:
--------
    Doug Gilbert <dgilbert(at)interlog(dot)com>


%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p 1 -n %{name}-032r164

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%doc CREDITS
%{_bindir}/%{name}
%{abidir}/lsscsi-option.list
%{_mandir}/man8/%{name}.8*

%files doc
%doc ChangeLog INSTALL README AUTHORS 

%changelog
* Mon Feb 13 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.32-3
- add abi file

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.32-2
- add doc package

* Fri Mar 11 2022 Weitao Zhou <zhouwt@linux.alibaba.com> - 0.32-1
- Initial packaging based on upstream 0.32
